/*********************************************************************************
**
**   $Id: DataTable.h,v 1.6 2004/05/27 11:44:07 croftj Exp $
**   Copyright (c) 2004 Joe Croft <joe@croftj.net>
**   
**   This file is part of ah2.
**
**   ah2 is free software; you can redistribute it and/or modify
**   it under the terms of the GNU General Public License as published by
**   the Free Software Foundation; either version 2 of the License, or
**   (at your option) any later version.
**
**   Foobar is distributed in the hope that it will be useful,
**   but WITHOUT ANY WARRANTY; without even the implied warranty of
**   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**   GNU General Public License for more details.
**
**   You should have received a copy of the GNU General Public License
**   along with Foobar; if not, write to the Free Software
**   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*********************************************************************************/

#ifndef DATATABLE_H
#define DATATABLE_H

#include <qdatatable.h>
#include <qframe.h>
#include <qlineedit.h>
#include <qmap.h>
#include <qsqlcursor.h>
#include <qsqldatabase.h>
#include <qsqlform.h>
#include <qsqlrecord.h>
#include <qstring.h>
#include "Data/DataForm.h"

class DataTable : public QDataTable
{
   Q_OBJECT
   
public:
   DataTable(const QString &table, int rows, QWidget *pParent, const char *pName);
   DataTable(const DataFields *fields, const QString &table, int rows,
            QWidget *pParent = 0, const char *pName = 0);
   ~DataTable() {};

   virtual void haveKey( QKeyEvent *e);

public slots:   
   void sortBy(int);
   void sortBy(const QString);
   void setFields(const DataFields *fields);
   void nextIdent(QSqlRecord *r);
   bool beginInsert();
   void paintField(QPainter *p, const QSqlField* field, const QRect &cr, bool f);

protected slots:
   virtual void keyPressEvent(QKeyEvent *e);

protected:
private:
   QSqlCursor                 *sqlCursor;
   QString                    dbTable;
   QStringList                sort;
   QMap<int, QString>         fieldNames;
   QMap<QString, QString>     fieldTypes;
   bool                       insertMode;
};
#endif
